Subject: bug#54280: stumpwm won't load libraries

From: Guillaume Le Vaillant <[email-masked]>
Date: Fri, 11 Mar 2022 08:24:01 +0000

Einar Largenius <[email-masked]> skribis:

> Hello!
>
> I have an issue where I can't get slynk to load inside stumpwm with Guix
> as the package manager. I have no issue loading slynk with either nyxt
> or when running a sbcl-repl even without modifying
> asdf:*central-registry*. These are the packages I have in my profile:
>
> glibc-locales	2.33            	out	/gnu/store/nrr24nvf6548if5wdpvxhlvjif3x9jjp-glibc-locales-2.33
> nyxt         	2.2.4           	out	/gnu/store/rf5aamdsdd039mhn4c3vsx5zgzzmnzdx-nyxt-2.2.4
> sbcl         	2.2.2           	out	/gnu/store/129g8pcc2ybs1p81ak28lj44i0wkyiqj-sbcl-2.2.2
> cl-slynk     	1.0.43-5.0470c02	out	/gnu/store/zc8h7xy78k6ybfq74k4wvx0yhg4pz6ln-cl-slynk-1.0.43-5.0470c02
> stumpwm      	20.11           	out	/gnu/store/y88ghx13yv9b6a2sa7b8hnxgcnw8x3ka-stumpwm-20.11
>
> If I just try to load slynk directly asdf doesn't seem to find it at
> all. If I try to add the *.asd files that Guix provides:
>
> (push (uiop:subpathname* (user-homedir-pathname) ".guix-profile/share/common-lisp/systems/") asdf:*central-registry*)
>
> And then try to load, I still get an error:
>
> Don't know how to REQUIRE SB-CLTL2
>
> stumpwm itself works without issue.

Hi,

There's a stumpwm-with-slynk package that you could use instead of the
stumpwm package. I guess it should do what you want.

If not, you could also try installing the sbcl-slynk package (which
has the compiled files for sbcl) instead of the cl-slynk one (sources
only). I think the stumpwm binary can only compile code using the
libraries that were available when it was built, and I guess sb-cltl2
isn't one of them.